Bug 828513 - libX11.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/libX11-xcb.so.1.0.0 ['/usr/lib64']
libX11.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/libX11-xcb.so.1.0....
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libX11 (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Hutterer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-04 16:10 EDT by Nicolas Chauvet (kwizart)
Modified: 2012-06-27 23:34 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-27 23:34:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nicolas Chauvet (kwizart) 2012-06-04 16:10:32 EDT
Description of problem:
rpmlint on installed libX11 with chrpath installed report an rpath:
libX11.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/libX11-xcb.so.1.0.0 ['/usr/lib64']

Version-Release number of selected component (if applicable):
Every x86_64 version to date (experienced on F-16 and later)

How reproducible:
always.

Steps to Reproduce:
1. chrpath /usr/lib64/libX11-xcb.so.1.0.0

Actual results:
An rpath is defined

Expected results:
No rpath should be defined, specially on standard directory.

Additional info:
Comment 1 Fedora Update System 2012-06-12 00:32:03 EDT
libX11-1.5.0-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/libX11-1.5.0-2.fc17
Comment 2 Fedora Update System 2012-06-13 17:37:47 EDT
Package libX11-1.5.0-2.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libX11-1.5.0-2.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-9341/libX11-1.5.0-2.fc17
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2012-06-27 23:34:14 EDT
libX11-1.5.0-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.